API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/dms/document-types/{id}/rules/test

POST/v1/dms/document-types/{id}/rules/test

Test classification rules of a single document type against a sample context. Optionally pass rules to preview unsaved changes.

Request Body

NameTypBeschreibung
ocrTextstring
ocrPageTextsstring[]
fileNamestring
mimeTypestring
senderDomainstring
folderPathstring
rulesarray
thresholdOverridenumber

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/dms/document-types/{id}/rules/test \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "ocrText": "string",
  "ocrPageTexts": [],
  "fileName": "string",
  "mimeType": "string",
  "senderDomain": "string",
  "folderPath": "string",
  "rules": [],
  "thresholdOverride": 0
}'
const result = await cm.dms.post({
  "ocrText": "string",
  "ocrPageTexts": [],
  "fileName": "string",
  "mimeType": "string",
  "senderDomain": "string",
  "folderPath": "string",
  "rules": [],
  "thresholdOverride": 0
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche